package ru.yandex.wmtools.common.data;

/**
 * @author baton
 */
public class TopQueryHistoryType {
    private final TopQueryHistoryTypeEnum topQueryHistoryTypeEnum;
    private final String orderByDbField;
    private final boolean ascendingOrder;

    public TopQueryHistoryType(TopQueryHistoryTypeEnum topQueryHistoryTypeEnum, String orderByDbField, boolean ascendingOrder) {
        this.topQueryHistoryTypeEnum = topQueryHistoryTypeEnum;
        this.orderByDbField = orderByDbField;
        this.ascendingOrder = ascendingOrder;
    }

    public TopQueryHistoryTypeEnum getTopQueryHistoryTypeEnum() {
        return topQueryHistoryTypeEnum;
    }

    public String getOrderByDbField() {
        return orderByDbField;
    }

    public boolean isAscendingOrder() {
        return ascendingOrder;
    }
}
